# PhasicFlow: solvers/sphereGranFlow/createDEMComponents.hpp File Reference

createDEMComponents.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

| REPORT (0)<<"\nReading sphere particles . . ."<< endREPORT
sphereParticles | sphParticles (Control, proprties)

## Variables

auto | sphInsertion
auto | interactionPtr
auto & | sphInteraction = interactionPtr()

## Function Documentation

## REPORT()

REPORT | ( | 0 |  | ) |

## sphParticles()

sphereParticles sphParticles | ( | Control | ,
|  | proprties |
| ) |  |

Referenced by main().

Here is the caller graph for this function:

## Variable Documentation

## sphInsertion

auto sphInsertion

Initial value:
= sphereInsertion(
Control.caseSetup().path()+insertionFile__,
sphParticles,
sphParticles.shapes())

Definition at line 39 of file createDEMComponents.hpp.

Referenced by main().

## interactionPtr

auto interactionPtr

Initial value:
= interaction::create(
Control,
sphParticles,
surfGeometry
)

Definition at line 45 of file createDEMComponents.hpp.

## sphInteraction

auto& sphInteraction = interactionPtr()

Definition at line 51 of file createDEMComponents.hpp.

Referenced by main().

sphParticles
sphereParticles sphParticles(Control, proprties)
pFlow::insertionFile__
const char * insertionFile__
Definition: vocabs.hpp:40
surfGeometry
auto & surfGeometry
Definition: setSurfaceGeometry.hpp:26
pFlow::sphereInsertion
Insertion< sphereShape > sphereInsertion
Definition: Insertions.hpp:31
Control
auto & Control
Definition: initialize_Control.hpp:47